PP-Module for Intrusion Prevention Systems (IPS), Version 2.0

Profile details

Status active
Valid from 10.03.2026
Valid until N/A
Scheme πŸ‡ΊπŸ‡Έ US
Category Detection Devices and Systems
Security level N/A

Certification report

certification report could not be downloaded, no link is available.

Protection profile

Extracted keywords

Schemes
MAC
Protocols
VPN

Claims
T.NETWORK_ACCESS, T.NETWORK_DISCLOSURE, T.NETWORK_DOS, T.NETWORK_MISUSE, T.UNAUTHORIZED_ADMINISTRATION, T.UNDETECTED_ACTIVITY, T.NETWORK_, T.UNAUTHORIZED_, T.UNDETECTED_, A.NO_THRU_TRAFFIC_PROTECTION, A.CONNECTIONS, OE.NO_THRU_TRAFFIC_PROTECTION, OE.CONNECTIONS
Security Assurance Requirements (SAR)
ATE_IND.1
Security Functional Requirements (SFR)
FAU_STG.1, FAU_GEN, FAU_GEN.1, FAU_ARP.1, FAU_SAR.1, FAU_SAR.2, FAU_SAR.3, FAU_STG, FAU_STG.2, FAU_STG.5, FAU_ARP.1.1, FAU_ARP, FAU_SAA, FAU_SAR.1.1, FAU_SAR.1.2, FAU_SAR.2.1, FAU_SAR.3.1, FAU_SAR, FAU_SAA.1, FCO_CPC_EXT.1, FMT_SMF, FMT_SMF.1, FMT_SMR.2, FMT_SMR.1, FPT_ITT.1, FPT_FLS, FPT_FLS.1, FPT_STM.1, FPT_STM_EXT.1, FRU_RSA.1, FRU_RSA, FRU_RSA.1.1, FTP_ITC, FTP_TRP, FTP_ITC.1.3, FTP_ITC.1

Standards
RFC 791, RFC 8200, RFC 792, RFC 2463, RFC 793, RFC 768, ISO/IEC 15408, CCMB-2022-11-001, CCMB-2022-11-002, CCMB-2022-11-003, CCMB-2022-11-005, CCMB-2022-11-006

References

No references are available for this protection profile.

Processing updates

Feed
  • The protection profile data changed.
  • The protection profile data changed.
  • The protection profile data changed.
  • The protection profile was first processed.

Raw data

{
  "_id": "ed7b0456f54b4749",
  "_type": "sec_certs.sample.protection_profile.ProtectionProfile",
  "dgst": "ed7b0456f54b4749",
  "heuristics": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.Heuristics"
  },
  "pdf_data": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.PdfData",
    "pp_filename": "",
    "pp_keywords": {
      "asymmetric_crypto": {},
      "cc_cert_id": {},
      "cc_claims": {
        "A": {
          "A.CONNECTIONS": 3,
          "A.NO_THRU_TRAFFIC_PROTECTION": 1
        },
        "OE": {
          "OE.CONNECTIONS": 4,
          "OE.NO_THRU_TRAFFIC_PROTECTION": 1
        },
        "T": {
          "T.NETWORK_": 14,
          "T.NETWORK_ACCESS": 2,
          "T.NETWORK_DISCLOSURE": 2,
          "T.NETWORK_DOS": 2,
          "T.NETWORK_MISUSE": 2,
          "T.UNAUTHORIZED_": 1,
          "T.UNAUTHORIZED_ADMINISTRATION": 1,
          "T.UNDETECTED_": 2,
          "T.UNDETECTED_ACTIVITY": 1
        }
      },
      "cc_protection_profile_id": {},
      "cc_sar": {
        "ATE": {
          "ATE_IND.1": 1
        }
      },
      "cc_security_level": {},
      "cc_sfr": {
        "FAU": {
          "FAU_ARP": 2,
          "FAU_ARP.1": 12,
          "FAU_ARP.1.1": 1,
          "FAU_GEN": 16,
          "FAU_GEN.1": 6,
          "FAU_SAA": 2,
          "FAU_SAA.1": 2,
          "FAU_SAR": 2,
          "FAU_SAR.1": 5,
          "FAU_SAR.1.1": 1,
          "FAU_SAR.1.2": 1,
          "FAU_SAR.2": 5,
          "FAU_SAR.2.1": 1,
          "FAU_SAR.3": 5,
          "FAU_SAR.3.1": 1,
          "FAU_STG": 10,
          "FAU_STG.1": 3,
          "FAU_STG.2": 2,
          "FAU_STG.5": 1
        },
        "FCO": {
          "FCO_CPC_EXT.1": 1
        },
        "FMT": {
          "FMT_SMF": 8,
          "FMT_SMF.1": 1,
          "FMT_SMR.1": 1,
          "FMT_SMR.2": 1
        },
        "FPT": {
          "FPT_FLS": 5,
          "FPT_FLS.1": 1,
          "FPT_ITT.1": 1,
          "FPT_STM.1": 2,
          "FPT_STM_EXT.1": 1
        },
        "FRU": {
          "FRU_RSA": 1,
          "FRU_RSA.1": 8,
          "FRU_RSA.1.1": 1
        },
        "FTP": {
          "FTP_ITC": 1,
          "FTP_ITC.1": 3,
          "FTP_ITC.1.3": 1,
          "FTP_TRP": 1
        }
      },
      "certification_process": {},
      "cipher_mode": {},
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "VPN": {
          "VPN": 1
        }
      },
      "crypto_scheme": {
        "MAC": {
          "MAC": 5
        }
      },
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {},
      "hash_function": {},
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {},
      "side_channel_analysis": {},
      "standard_id": {
        "CC": {
          "CCMB-2022-11-001": 1,
          "CCMB-2022-11-002": 1,
          "CCMB-2022-11-003": 1,
          "CCMB-2022-11-005": 1,
          "CCMB-2022-11-006": 1
        },
        "ISO": {
          "ISO/IEC 15408": 2
        },
        "RFC": {
          "RFC 2463": 2,
          "RFC 768": 2,
          "RFC 791": 2,
          "RFC 792": 2,
          "RFC 793": 2,
          "RFC 8200": 2
        }
      },
      "symmetric_crypto": {},
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "pp_metadata": {
      "/CreationDate": "D:20260312025118+00\u002700\u0027",
      "/Creator": "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) HeadlessChrome/145.0.0.0 Safari/537.36",
      "/ModDate": "D:20260312025118+00\u002700\u0027",
      "/Producer": "Skia/PDF m145",
      "/Title": "PP-Module for IPS",
      "pdf_file_size_bytes": 3598537,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "https://www.niap-ccevs.org/protectionprofiles/524",
          "http://www.commoncriteriaportal.org/files/ccfiles/CC2022PART4R1.pdf",
          "http://www.commoncriteriaportal.org/files/ccfiles/CC2022PART2R1.pdf",
          "http://www.commoncriteriaportal.org/files/ccfiles/CC2022PART5R1.pdf",
          "http://www.commoncriteriaportal.org/files/ccfiles/CC2022PART3R1.pdf",
          "http://www.commoncriteriaportal.org/files/ccfiles/CEM2022R1.pdf",
          "https://www.commoncriteriaportal.org/files/ccfiles/CC2022PART1R1.pdf"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 60
    },
    "report_filename": null,
    "report_keywords": null,
    "report_metadata": null
  },
  "scheme_metadata": {
    "cc_version": "CC:2022",
    "pp_short_name": "MOD_IPS_V2.0",
    "pp_sponsor_id": "NIAP",
    "pp_transition": null,
    "predecessor": "MOD_IPS_V1.0",
    "source_scheme": "US",
    "successor": null
  },
  "state": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.InternalState",
    "pp": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "7fda47254fb794b00887162b184838242fe19aae33dc0311b0a609033880754b",
      "source_hash": "fba52ea8687477a6fa152cd285689b5b6c8656d8b5882033e431d72233ca33e8",
      "txt_hash": "0b49c8452cad8364d2c180f805de4272cded609b0ecd11874fb693520876f1d9"
    },
    "report": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": false,
      "download_ok": false,
      "extract_ok": false,
      "json_hash": null,
      "source_hash": null,
      "txt_hash": null
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.WebData",
    "category": "Detection Devices and Systems",
    "is_collaborative": false,
    "maintenances": [],
    "name": "PP-Module for Intrusion Prevention Systems (IPS), Version 2.0",
    "not_valid_after": null,
    "not_valid_before": "2026-03-10",
    "pp_link": "https://www.niap-ccevs.org/api/file/get_public_file/?file_id=37700",
    "report_link": null,
    "scheme": "US",
    "security_level": {
      "_type": "Set",
      "elements": []
    },
    "status": "active",
    "version": "2.0"
  }
}